Currencies
The currencies resource.
Basehttps://rest.carbon.ms/currencies
GET
/currenciesList currenciess
Retrieve a paginated list of currenciess. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/currencies
curl --request GET \
--url 'https://rest.carbon.ms/currencies?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"code": "string",
"exchangeRate": 0,
"decimalPlaces": 0,
"active": true,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/currenciesRetrieve a currencies
Fetch a single currencies by filtering on `id`.
Query parameters
idstringMatch on the currencies's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/currencies
curl --request GET \
--url 'https://rest.carbon.ms/currencies?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"code": "string",
"exchangeRate": 0,
"decimalPlaces": 0,
"active": true,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}